# Class JBuffer

java.lang.Object
org.apache.jute.compiler.JType
org.apache.jute.compiler.JBuffer

public class JBuffer extends JType

## Field Summary

### Fields inherited from class JType

`mMethodSuffix`

## Constructor Summary

Constructors
Constructor
Description
`JBuffer()`
Creates a new instance of JBuffer.

## Method Summary

Modifier and Type
Method
Description
`String`
`genCppGetSet(String fname, int fIdx)`
`String`
`genJavaCompareBytes()`
`String`
`genJavaCompareTo(String fname)`
`String`
`genJavaCompareTo(String fname, String other)`
`String`
`genJavaCompareToWrapper(String fname, String other)`
`String`
`genJavaEquals(String fname, String peer)`
`String`
`genJavaHashCode(String fname)`
`String`
`genJavaReadWrapper(String fname, String tag, boolean decl)`
`String`
`genJavaSlurpBytes(String b, String s, String l)`
`String`
`genJavaWriteWrapper(String fname, String tag)`
`String`
`getSignature()`

### Methods inherited from class JType

`genCsharpConstructorParam, genCsharpDecl`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JBuffer

public JBuffer()
Creates a new instance of JBuffer.

## Method Details

### genCppGetSet

public String genCppGetSet(String fname, int fIdx)

### getSignature

public String getSignature()

### genJavaReadWrapper

public String genJavaReadWrapper(String fname, String tag, boolean decl)

### genJavaWriteWrapper

public String genJavaWriteWrapper(String fname, String tag)

### genJavaCompareTo

public String genJavaCompareTo(String fname, String other)

### genJavaCompareTo

public String genJavaCompareTo(String fname)

### genJavaCompareToWrapper

public String genJavaCompareToWrapper(String fname, String other)

### genJavaEquals

public String genJavaEquals(String fname, String peer)

### genJavaHashCode

public String genJavaHashCode(String fname)

### genJavaSlurpBytes

public String genJavaSlurpBytes(String b, String s, String l)

### genJavaCompareBytes

public String genJavaCompareBytes()